package com.sulake.habbo.communication.messages.headers;

import java.lang.reflect.Field;

public class Events {

	public static short CheckReleaseMessageEvent = 4000;
    public static short InitCryptoMessageEvent = 712;
    public static short SecretKeyMessageEvent = 205;
	public static short ClientVarsMessageEvent = 1903;
	public static short UniqueMachineIDMessageEvent = 1527;
	public static short SSOTicketMessageEvent = 1913;
	public static short MachineInformationMessageEvent = 181;
	public static short OnEventHappendMessageEvent = 2087;
	public static short UserInformationMessageEvent = 1551;
	public static short SerializeClubMessageEvent = 2783;
	public static short LoadCategorysMessageEvent = 1946;
    public static short PongMessageEvent = 2168;
	public static short PingshorternvalMessageEvent = 530;
	public static short OpenHelpToolMessageEvent = 2251;
	public static short GetWardrobeMessageEvent = 902;
	public static short SaveWardrobeMessageEvent = 222;
	public static short OpenAchievementsMessageEvent = 137;
	public static short CatalogData1MessageEvent = 1937;
	public static short CatalogData2MessageEvent = 3355;
	public static short OpenCatalogMessageEvent = 3509;
	public static short OpenCatalogPageMessageEvent = 991;
	public static short CatalogGetRaceMessageEvent = 2738;
	public static short CheckPetNameMessageEvent = 926;
	public static short PurchaseCatalogItemMessageEvent = 1581;
	public static short PurchaseGiftMessageEvent = 1574;
	public static short OpenGiftMessageEvent = 3897;
	public static short StartEffectMessageEvent = 2996;
	public static short EnableEffectMessageEvent = 2989;
	public static short RedeemVoucherMessageEvent = 1771;
	public static short LoadFeaturedRoomsMessageEvent = 3598;
	public static short LoadAllRoomsMessageEvent = 2704;
	public static short LoadMyRoomsMessageEvent = 1459;
	public static short LoadPopularTagsMessageEvent = 3569;
	public static short RoomsWhereMyFriendsMessageEvent = 3740;
	public static short RoomsOfMyFriendsMessageEvent = 1110;
	public static short MyFavsMessageEvent = 1035;
	public static short RecentRoomsMessageEvent = 2435;
	public static short HighRatedRoomsMessageEvent = 720;
	public static short SearchRoomByNameMessageEvent = 542;
	public static short CanCreateRoomMessageEvent = 2933;
	public static short CreateRoomMessageEvent = 1665;
	public static short GetRoomDataMessageEvent = 65;
	public static short SaveRoomDataMessageEvent = 384;
	public static short LoadFirstRoomDataMessageEvent = 1730;
	public static short LoadHeightMapMessageEvent = 2709;
	public static short AddUserToRoomMessageEvent = 3873;
	public static short LookToMessageEvent = 3671;
	public static short StartTradeMessageEvent = 1644;
	public static short SendOfferMessageEvent = 882;
	public static short CancelOfferMessageEvent = 907;
	public static short AcceptTradeMessageEvent = 3435;
	public static short UnacceptTradeMessageEvent = 1960;
	public static short ConfirmTradeMessageEvent = 3147;
	public static short CancelTradeMessageEvent = 937;
	public static short MoveMessageEvent = 970;
	public static short TalkMessageEvent = 1972;
	public static short ShoutMessageEvent = 3277;
	public static short SendRespectsMessageEvent = 1194;
	public static short PrepareCampaignMessageEvent = 2288;
	public static short SendCampaignDataMessageEvent = 2058;
	public static short ChangeLookMessageEvent = 3899;
	public static short ChangeMottoMessageEvent = 787;
	public static short ApplyDanceMessageEvent = 2991;
	public static short ApplySignMessageEvent = 295;
	public static short ApplyActionMessageEvent = 2078;
	public static short GetFriendsMessageEvent = 1615;
	public static short FriendRequestMessageEvent = 1361;
	public static short AcceptRequestMessageEvent = 3730;
	public static short DeclineRequestMessageEvent = 1906;
	public static short SendInstantMessengerMessageEvent = 1573;
	public static short FollowFriendMessageEvent = 505;
	public static short UpdateFriendsStateMessageEvent = 2557;
	public static short InviteFriendsToMyRoomMessageEvent = 1503;
	public static short SearchFriendMessageEvent = 859;
	public static short DeleteFriendMessageEvent = 3045;
	public static short LoadProfileMessageEvent = 1412;
	public static short OpenInventoryMessageEvent = 2710;
	public static short PetInventaryMessageEvent = 3127;
	public static short PlacePetMessageEvent = 461;
	public static short PickupPetMessageEvent = 2378;
	public static short RespetPetMessageEvent = 112;
	public static short AddSaddleToPetMessageEvent = 243;
	public static short RemoveSaddleMessageEvent = 809;
	public static short MountOnPetMessageEvent = 296;
	public static short PetInfoMessageEvent = 303;
	public static short ApplySpaceMessageEvent = 155;
	public static short AddFloorItemMessageEvent = 1861;
	public static short MoveOrRotateMessageEvent = 1688;
	public static short MoveWallMessageEvent = 1033;
	public static short HandleItemMessageEvent = 657;
	public static short HandleWallItemMessageEvent = 3288;
	public static short StartMoodlightMessageEvent = 3455;
	public static short TurnOnMoodlightMessageEvent = 51;
	public static short ApplyMoodlightChangesMessageEvent = 1456;
	public static short AddPostItMessageEvent = 3548;
	public static short OpenPostItMessageEvent = 294;
	public static short SavePostItMessageEvent = 1181;
	public static short DeletePostItMessageEvent = 3321;
	public static short CanCreateRoomEventMessageEvent = 1832;
	public static short CreateRoomEventMessageEvent = 1416;
	public static short StopEventMessageEvent = 3386;
	public static short EditEventMessageEvent = 1047;
	public static short SetHomeMessageEvent = 2102;
	public static short RemoveRoomMessageEvent = 2355;
	public static short RedeemExchangeFurniMessageEvent = 894;
	public static short StartTypingMessageEvent = 839;
	public static short StopTypingMessageEvent = 1096;
	public static short GiveRightsMessageEvent = 3768;
	public static short RemoveAllRightsMessageEvent = 1479;
	public static short RemoveRightsFromMessageEvent = 2990;
	public static short PickupItemMessageEvent = 1128;
	public static short SaveWiredTriggerMessageEvent = 981;
	public static short SaveWiredEffectMessageEvent = 682;
	public static short ToolForThisRoomMessageEvent = 514;
	public static short ToolForUserMessageEvent = 2452;
	public static short GetRoomVisitsMessageEvent = 2973;
	public static short UserChatlogMessageEvent = 3799;
	public static short SendMessageByTemplateMessageEvent = 414;
	public static short ModActionKickUserMessageEvent = 1376;
	public static short ModActionMuteUserMessageEvent = 1993;
	public static short ModActionBanUserMessageEvent = 1217;
	public static short SendUserMessageMessageEvent = 2732;
	public static short PerformRoomActionMessageEvent = 2090;
	public static short EnterOnRoomByModMessageEvent = 798;
	public static short CreateTicketMessageEvent = 3468;
	public static short PickIssueMessageEvent = 1641;
	public static short IssueChatlogMessageEvent = 2156;
	public static short CloseIssueMessageEvent = 3087;
	public static short ReleaseIssueMessageEvent = 2294;
	public static short OpenRoomChatlogMessageEvent = 96;
	public static short GiveRoomScoreMessageEvent = 1173;
	public static short SendRoomAlertMessageEvent = 126;
	public static short KickUserOfRoomMessageEvent = 18;
	public static short BanUserOfRoomMessageEvent = 2790;
	public static short IgnoreUserMessageEvent = 2481;
	public static short UnignoreUserMessageEvent = 2560;
	public static short AnswerDoorBellMessageEvent = 2637;
	public static short ReqLoadByDoorBellMessageEvent = 3734;
	public static short AddFavouriteMessageEvent = 2575;
	public static short RemoveFavouriteMessageEvent = 2788;
	public static short WhispMessageEvent = 3059;
	public static short BadgesInventaryMessageEvent = 148;
	public static short BotsInventaryMessageEvent = 1642;
	public static short ApplyBadgeMessageEvent = 1321;
	public static short GetUserBadgesMessageEvent = 1699;
	public static short GetUserTagsMessageEvent = 2253;
	public static short GoToHotelViewMessageEvent = 2162;
    public static short RemoveHanditemMessageEvent = 3843;
    public static short GiveObjectMessageEvent = 2566;
    public static short GetRecyclerPrizesMessageEvent = 3526;
    public static short ThrowDiceMessageEvent = 2372;
    public static short DiceOffMessageEvent = 301;
    
	public static String valueOfId(short Id)
	{
		Events events = new Events();

		Field[] fields;
		try
		{
			fields = events.getClass().getDeclaredFields();

			for (Field field : fields)
			{
				if (field.getInt(field.getName()) == Id)
				{
					return field.getName();
				}
			}
		}
		catch (Exception e)
		{
			e.printStackTrace();
		}
		return "";
	}
	
}
