package com.sulake.habbo.communication.messages.navigator;

import com.sulake.habbo.Habbo;
import com.sulake.habbo.communication.headers.Composers;
import com.sulake.habbo.communication.messages.types.Composer;
import com.sulake.habbo.communication.messages.types.Event;
import com.sulake.habbo.communication.messages.types.IMessageEvent;
import com.sulake.habbo.flats.types.FlatInstance;
import com.sulake.sessions.types.Session;

public class LoadAllRoomsMessageEvent implements IMessageEvent {

	@Override
	public void parse(Session client, Event event) {
		
		Composer msg = new Composer(Composers.NavigatorPacketMessageComposer);
		
		msg.appendInt32(1);
		msg.appendString("-1");
		msg.appendInt32(Habbo.getCore().getFlats().getFlats().size());
		
		for(FlatInstance f : Habbo.getCore().getFlats().getFlats().values()) {
			f.getData().serialize(msg);
		}

		msg.appendBoolean(false);
		
		client.send(msg);
	}
}
