package com.sulake.habbo.communication.messages.rooms.actions;

import com.sulake.habbo.communication.messages.types.Event;
import com.sulake.habbo.communication.messages.types.IMessageEvent;
import com.sulake.habbo.flats.actions.SignThread;
import com.sulake.sessions.types.Session;

public class ApplySignMessageEvent implements IMessageEvent {

	@Override
	public void parse(Session client, Event event) {
		int signId = event.readInt();
		
		SignThread sign = new SignThread(client, signId);
		Thread signThread = new Thread(sign);
		signThread.start();
	}

}
