package com.sulake.habbo.communication.messages.rooms.actions;

import com.sulake.habbo.communication.messages.types.Event;
import com.sulake.habbo.communication.messages.types.IMessageEvent;
import com.sulake.habbo.flats.actions.UserWalker;
import com.sulake.sessions.types.Session;

public class MoveMessageEvent implements IMessageEvent {

	@Override
	public void parse(Session client, Event event) {
		int X = event.readInt();
		int Y = event.readInt();
		
		//if(client.getHabbo().getAvatar().getCurrentFlat().checkUserCoordinates(X, Y))
		//	return;
		
		client.getHabbo().getAvatar().GoalX = X;
		client.getHabbo().getAvatar().GoalY = Y;

		if(client.getHabbo().getAvatar().isWalking) {
			client.getHabbo().getAvatar().walker.stopRequested = true;
			client.getHabbo().getAvatar().selectedSquare = false;
			client.getHabbo().getAvatar().getStatuses().remove("mv");
			client.getHabbo().getAvatar().sendStatus();
		}
		
		if(client.getHabbo().getAvatar().isSitting){
			client.getHabbo().getAvatar().isSitting = false;
			client.getHabbo().getAvatar().getStatuses().remove("sit");
			client.getHabbo().getAvatar().sendStatus();
		}
		
		client.getHabbo().getAvatar().walker = new UserWalker(client);
		client.getHabbo().getAvatar().walkerThread = new Thread(client.getHabbo().getAvatar().walker);
		client.getHabbo().getAvatar().walkerThread.start();

	}

}
