package com.sulake.habbo.communication.messages.rooms.actions;

import com.sulake.habbo.communication.messages.types.Event;
import com.sulake.habbo.communication.messages.types.IMessageEvent;
import com.sulake.sessions.types.Session;

public class TalkMessageEvent implements IMessageEvent {

	@Override
	public void parse(Session client, Event event) {
		String message = event.readString();
		int colour = event.readInt();
		
		if(message.equals(":info") || message.equals(":about")) {
			client.sendNotif("Powered by Comet, the Java server.\n\nBy Leon");
			return;
		}
		
		client.getHabbo().getAvatar().say(message, false, colour);
	}

}
