package com.sulake.habbo.communication.remote.requests.cache;

import com.sulake.habbo.Habbo;
import com.sulake.habbo.communication.remote.requests.IWebRequest;
import com.sulake.habbo.communication.remote.utils.JsonObject;
import com.sulake.habbo.database.DatabaseManager;

public class ReloadCatalog implements IWebRequest {

	@Override
	public JsonObject parse(String[] params) {
		DatabaseManager db = Habbo.getCore().getDatabase();
		Habbo.getCore().getCatalog().loadAll(db);
		
		JsonObject data = new JsonObject();
		data.put("status", "done");
		data.put("page_count", String.valueOf(Habbo.getCore().getCatalog().getPages().size()));
		
		return data;
	}

}
