package com.sulake.habbo.flats.items.interactions.types;

import java.security.SecureRandom;

import com.sulake.habbo.flats.items.interactions.Interaction;
import com.sulake.habbo.flats.items.types.FlatItem;
import com.sulake.sessions.types.Session;

public class DiceInteraction implements Interaction {
	@Override
	public void onInteract(boolean state, Session client, FlatItem item) {
		if(!item.ExtraData.equals("0")) {
			item.sendExtraData(client);
			item.save();
		} else {
			if(!state) {
				item.ExtraData = String.valueOf(new SecureRandom().nextInt(6) + 1);
			} else {
				item.ExtraData = "0";
			}
			
			item.sendExtraData(client);
			item.save();
		}
	}
}
