package com.sulake.habbo.users.components;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

import com.sulake.habbo.Habbo;
import com.sulake.habbo.users.components.types.Badge;

public class BadgeComponent {

	public List<Badge> badges;
	
	public BadgeComponent(int id) {
		this.badges = new ArrayList<Badge>();
		
		ResultSet result = Habbo.getCore().getDatabase().readTable("SELECT * FROM habbo_badges WHERE user_id = " + id);
		try {
			while(result.next()) {
				
				Badge badge = new Badge(result.getInt("id"), result.getString("badge_id"), result.getInt("slot"));
				this.getBadges().add(badge);
			}
		} catch (SQLException e) {
			e.printStackTrace();
		}
	}
	
	public int getEquipedCount() {
		int i = 0;
		for(Badge badge : this.getBadges()) {
			if(badge.isEquiped()) {
				i++;
			}
		}
		
		return i;
	}
	
	public List<Badge> getBadges() {
		return this.badges;
	}
	
}
