package com.sulake.habbo.users.components.types;

import com.sulake.habbo.currencies.CurrencyManager;
import com.sulake.habbo.currencies.types.Currency;

public class Balance {

	public int id;
	public int balance;
	
	public Currency definition;
	
	public Balance(int id, int currency_id, int balance) {

		this.definition = CurrencyManager.get(currency_id);
		this.id = id;
		this.balance = balance;
	}
	
	public int getId() {
		return this.id;
	}
	
	public Currency getCurrency() {
		return this.definition;
	}

	public int getBalance() {
		return this.balance;
	}
	
}
