package com.sulake.habbo.catalog.types;

import com.sulake.habbo.Habbo;
import com.sulake.habbo.flats.items.definitions.types.ItemDefinition;

public class CatalogItem {

	public int Id;
    public int ItemId;
    public String DisplayName;
    public int CostCredits;
    public int CostPixels;
    public int CostOther;
    public int Amount;
    public boolean Vip;

    public ItemDefinition itemDefinition;

    public CatalogItem(int id, int itemId, String displayName, int costCredits, int costPixels, int costOther, int amount, boolean vip) {
		this.Id = id;
		this.ItemId = itemId;
		this.DisplayName = displayName;
		this.CostCredits = costCredits;
		this.CostPixels = costPixels;
		this.CostOther = costOther;
		this.Amount = amount;
		this.Vip = vip;		
	}
    
    public ItemDefinition getDefinition() {
    	return Habbo.getCore().getItems().getDefinition(this.ItemId);
    }
}