package com.sulake.habbo.communication.headers;

import java.lang.reflect.Field;

public class Events {

	 public static short CheckReleaseMessageEvent = 4000;
	 public static short InitCryptoMessageEvent = 2996;
	 public static short SecretKeyMessageEvent = 840;
	 public static short ClientVarsMessageEvent = 3561;
	 public static short UniqueMachineIDMessageEvent = 3570;
	 public static short SSOTicketMessageEvent = 442;
	 public static short UserInformationMessageEvent = 3183;
	 public static short SerializeClubMessageEvent = 2757;
	 public static short LoadCategorysMessageEvent = 2570;
	 public static short PongMessageEvent = 121;
	 public static short PingMessageEvent = 67;
	 public static short EndQuizMessageEvent = 1741;
	 public static short LoadUser2MessageEvent = 858;
	 public static short OpenHelpToolMessageEvent = 2599;
	 public static short GetWardrobeMessageEvent = 3885;
	 public static short SaveWardrobeMessageEvent = 383;
	 public static short OpenAchievementsMessageEvent = 301;
	 public static short CatalogData1MessageEvent = 3549;
	 public static short CatalogData2MessageEvent = 1973;
	 public static short ExtraVipWindowMessageEvent = 1936;
	 public static short LoadTalentsMessageEvent = 64;
	 public static short OpenCatalogMessageEvent = 3038;
	 public static short OpenCatalogPageMessageEvent = 1132;
	 public static short CatalogGetRaceMessageEvent = 1875;
	 public static short CheckPetNameMessageEvent = 467;
	 public static short PurchaseCatalogItemMessageEvent = 3487;
	 public static short PurchaseGiftMessageEvent = 553;
	 public static short OpenGiftMessageEvent = 225;
	 public static short StartEffectMessageEvent = 1006;
	 public static short EnableEffectMessageEvent = 1423;
	 public static short RedeemVoucherMessageEvent = 2265;
	 public static short LoadFeaturedRoomsMessageEvent = 1930;
	 public static short LoadAllRoomsMessageEvent = 2958;
	 public static short LoadMyRoomsMessageEvent = 3350;
	 public static short LoadPopularTagsMessageEvent = 2086;
	 public static short RoomsWhereMyFriendsMessageEvent = 3649;
	 public static short RoomsOfMyFriendsMessageEvent = 2623;
	 public static short MyFavsMessageEvent = 3414;
	 public static short RecentRoomsMessageEvent = 557;
	 public static short HighRatedRoomsMessageEvent = 2390;
	 public static short SearchRoomByNameMessageEvent = 3891;
	 public static short CanCreateRoomMessageEvent = 2115;
	 public static short CreateRoomMessageEvent = 2431;
	 public static short GetRoomDataMessageEvent = 1677;
	 public static short SaveRoomDataMessageEvent = 1815;
	 public static short LoadFirstRoomDataMessageEvent = 1650;
	 public static short LoadHeightMapMessageEvent = 562;
	 public static short UpdateAllMountMessageEvent = 1148;
	 public static short AddUserToRoomMessageEvent = 2346;
	 public static short AddUserToRoom2MessageEvent = 1188;
	 public static short LookToMessageEvent = 3714;
	 public static short StartTradeMessageEvent = 3314;
	 public static short SendOfferMessageEvent = 1909;
	 public static short CancelOfferMessageEvent = 2654;
	 public static short AcceptTradeMessageEvent = 3847;
	 public static short UnacceptTradeMessageEvent = 1426;
	 public static short ConfirmTradeMessageEvent = 3402;
	 public static short CancelTradeMessageEvent = 311;
	 public static short MoveMessageEvent = 703;
	 public static short TalkMessageEvent = 1548;
	 public static short ShoutMessageEvent = 1953;
	 public static short SendRespectsMessageEvent = 1198;
	 public static short ChangeLookMessageEvent = 1332;
	 public static short ChangeMottoMessageEvent = 3603;
	 public static short ApplyDanceMessageEvent = 1157;
	 public static short ApplySignMessageEvent = 1879;
	 public static short ApplyActionMessageEvent = 499;
	 public static short GetFriendsMessageEvent = 1237;
	 public static short FriendRequestMessageEvent = 2913;
	 public static short AcceptRequestMessageEvent = 2665;
	 public static short DeclineRequestMessageEvent = 2481;
	 public static short SendInstantMessengerMessageEvent = 90;
	 public static short FollowFriendMessageEvent = 2289;
	 public static short UpdateFriendsStateMessageEvent = 2621;
	 public static short InviteFriendsToMyRoomMessageEvent = 1490;
	 public static short SearchFriendMessageEvent = 1487;
	 public static short DeleteFriendMessageEvent = 2594;
	 public static short LoadProfileMessageEvent = 1611;
	 public static short OpenInventoryMessageEvent = 964;
	 public static short PetInventoryMessageEvent = 1831;
	 public static short PlacePetMessageEvent = 2461;
	 public static short AnswerQuestionMessageEvent = 3581;
	 public static short PickupPetMessageEvent = 2759;
	 public static short RespetPetMessageEvent = 3642;
	 public static short AddSaddleToPetMessageEvent = 3937;
	 public static short RemoveSaddleMessageEvent = 1984;
	 public static short MountOnPetMessageEvent = 1233;
	 public static short PetInfoMessageEvent = 891;
	 public static short ApplySpaceMessageEvent = 623;
	 public static short AddFloorItemMessageEvent = 3078;
	 public static short MoveOrRotateMessageEvent = 2792;
	 public static short MoveWallMessageEvent = 2863;
	 public static short HandleItemMessageEvent = 2417;
	 public static short HandleWallItemMessageEvent = 3692;
	 public static short StartMoodlightMessageEvent = 1823;
	 public static short TurnOnMoodlightMessageEvent = 3249;
	 public static short ApplyMoodlightChangesMessageEvent = 3338;
	 public static short AddPostItMessageEvent = 3918;
	 public static short OpenPostItMessageEvent = 1653;
	 public static short SavePostItMessageEvent = 2768;
	 public static short DeletePostItMessageEvent = 3426;
	 public static short SetHomeMessageEvent = 3896;
	 public static short RemoveRoomMessageEvent = 3856;
	 public static short RedeemExchangeFurniMessageEvent = 195;
	 public static short StartTypingMessageEvent = 1123;
	 public static short StopTypingMessageEvent = 3916;
	 public static short GiveRightsMessageEvent = 1283;
	 public static short RemoveAllRightsMessageEvent = 1396;
	 public static short RemoveRightsFromMessageEvent = 3638;
	 public static short PickupItemMessageEvent = 2805;
	 public static short SaveWiredTriggerMessageEvent = 776;
	 public static short SaveWiredEffectMessageEvent = 2134;
	 public static short ToolForThisRoomMessageEvent = 1847;
	 public static short ToolForUserMessageEvent = 3530;
	 public static short GetRoomVisitsMessageEvent = 2761;
	 public static short UserChatlogMessageEvent = 2101;
	 public static short SendMessageByTemplateMessageEvent = 3053;
	 public static short ModActionKickUserMessageEvent = 391;
	 public static short ModActionMuteUserMessageEvent = 798;
	 public static short ModActionBanUserMessageEvent = 1038;
	 public static short SendUserMessageMessageEvent = 987;
	 public static short CreateTicketMessageEvent = 22;
	 public static short PickIssueMessageEvent = 791;
	 public static short IssueChatlogMessageEvent = 3605;
	 public static short CloseIssueMessageEvent = 843;
	 public static short ReleaseIssueMessageEvent = 3471;
	 public static short PerformRoomActionMessageEvent = 2560;
	 public static short OpenRoomChatlogMessageEvent = 2620;
	 public static short GiveRoomScoreMessageEvent = 1243;
	 public static short SendRoomAlertMessageEvent = 2998;
	 public static short KickUserOfRoomMessageEvent = 12;
	 public static short BanUserOfRoomMessageEvent = 3002;
	 public static short IgnoreUserMessageEvent = 1141;
	 public static short UnignoreUserMessageEvent = 2377;
	 public static short AnswerDoorBellMessageEvent = 2116;
	 public static short ReqLoadByDoorBellMessageEvent = 356;
	 public static short AddFavouriteMessageEvent = 2634;
	 public static short RemoveFavouriteMessageEvent = 249;
	 public static short WhispMessageEvent = 2512;
	 public static short BadgesInventoryMessageEvent = 3313;
	 public static short BotsInventoryMessageEvent = 2680;
	 public static short ApplyBadgeMessageEvent = 1451;
	 public static short GetUserBadgesMessageEvent = 2756;
	 public static short GetUserTagsMessageEvent = 3030;
	 public static short GoToHotelViewMessageEvent = 2718;
	 public static short RemoveHanditemMessageEvent = 1124;
	 public static short GiveObjectMessageEvent = 2755;
	 public static short OpenDiceMessageEvent = 1374;
	 public static short RunDiceMessageEvent = 409;
	 public static short TrainPetMessageEvent = 2127;
	 public static short SaveConditionalMessageEvent = 2287;
	 public static short OpenQuestsMessageEvent = 657;
	 public static short ActiveQuestsMessageEvent = 2689;
	 public static short CancelQuestsMessageEvent = 3462;
	 public static short ActiveEndedQuestMessageEvent = 3145;
	 public static short CheckNameChangeMessageEvent = 256;
	 public static short SaveNameChangeMessageEvent = 3930;
	 public static short ListenPreviewMessageEvent = 2112;
	 public static short LoadInvSongsMessageEvent = 3718;
	 public static short LoadJukeSongsMessageEvent = 3862;
	 public static short AddNewCdToJukeMessageEvent = 1153;
	 public static short RemoveCdToJukeMessageEvent = 1178;
	 public static short MarketplaceCanSellMessageEvent = 1942;
	 public static short MarketplacePostItemMessageEvent = 2491;
	 public static short MarketplaceGetOwnOffersMessageEvent = 2726;
	 public static short MarketplaceTakeBackMessageEvent = 3620;
	 public static short MarketplaceClaimCreditsMessageEvent = 1088;
	 public static short MarketplaceGetOffersMessageEvent = 1289;
	 public static short MarketplacePurchaseMessageEvent = 2095;
	 public static short OpenGuildPageMessageEvent = 2005;
	 public static short BuyGroupMessageEvent = 1258;
	 public static short EndConfirmBuyMessageEvent = 1787;
	 public static short EditGuildMessageEvent = 2205;
	 public static short EditIdentidadMessageEvent = 3122;
	 public static short EditPlacaMessageEvent = 609;
	 public static short EditColoresMessageEvent = 2427;
	 public static short EditAjustesMessageEvent = 2537;
	 public static short PopularGuildsMessageEvent = 3152;
	 public static short ExitGuildMessageEvent = 597;
	 public static short SendRequestGuildMessageEvent = 3671;
	 public static short LoadMembersPetitionsMessageEvent = 1923;
	 public static short AcceptMemberMessageEvent = 2959;
	 public static short UpdateUserToRankGuildMessageEvent = 3069;
	 public static short SendFurniGuildMessageEvent = 607;
	 public static short GetGuildFavoriteMessageEvent = 3523;
	 public static short RemoveGuildFavoriteMessageEvent = 2394;
	 public static short StartQuizMessageEvent = 2510;
	 public static short GetGamesMessageEvent = 2498;
	 public static short GetGameMessageEvent = 39;
	 public static short StartPanelMessageEvent = 1508;
	 public static short Game2LeaveGameMessageComposerMessageEvent = 42;
	 public static short Game2GameChatMessageComposerMessageEvent = 1462;
	 public static short Game2SetUserMoveTargetMessageComposerMessageEvent = 1630;
	 public static short InitStreamMessageEvent = 2626;
	 public static short StreamLikeMessageEvent = 1816;
	 public static short CreateStreamMessageEvent = 1919;
	 public static short SearchStreamMessageEvent = 1430;
	public static String valueOfId(short Id)
	{
		Events events = new Events();

		Field[] fields;
		try
		{
			fields = events.getClass().getDeclaredFields();

			for (Field field : fields)
			{
				if (field.getInt(field.getName()) == Id)
				{
					return field.getName();
				}
			}
		}
		catch (Exception e)
		{
			e.printStackTrace();
		}
		return "";
	}
	
}
