package com.sulake.habbo.communication.messages.handshake;

import com.sulake.habbo.Core;
import com.sulake.habbo.communication.headers.Composers;
import com.sulake.habbo.communication.messages.types.Composer;
import com.sulake.habbo.communication.messages.types.Event;
import com.sulake.habbo.communication.messages.types.IMessageEvent;
import com.sulake.sessions.types.Session;

public class SecretKeyMessageEvent implements IMessageEvent {

	@Override
	public void parse(Session client, Event event) {
		Composer msg = new Composer(Composers.SecretKeyMessageComposer);
		msg.appendString(Core.globalCrypto.getPublicKey());
		client.send(msg);
	}
	
	
}
