package com.sulake.habbo.communication.messages.navigator;

import com.sulake.habbo.communication.headers.Composers;
import com.sulake.habbo.communication.messages.types.Composer;
import com.sulake.habbo.communication.messages.types.Event;
import com.sulake.habbo.communication.messages.types.IMessageEvent;
import com.sulake.habbo.flats.types.FlatData;
import com.sulake.sessions.types.Session;

public class LoadMyRoomsMessageEvent implements IMessageEvent {

	@Override
	public void parse(Session client, Event event) {
		
		Composer msg = new Composer(Composers.NavigatorPacketMessageComposer);
		
		msg.appendInt32(5);
		msg.appendString("");
		msg.appendInt32(client.getHabbo().getFlats().size());
		
		for(FlatData f : client.getHabbo().getFlats().values()) {
			f.serialize(msg);
		}
		
		msg.appendInt32(0);
		msg.appendInt32(0);
		msg.appendBoolean(false);
		
		client.send(msg);
	}
}
