package com.sulake.habbo.communication.messages.rooms.actions;

import com.sulake.habbo.communication.headers.Composers;
import com.sulake.habbo.communication.messages.types.Composer;
import com.sulake.habbo.communication.messages.types.Event;
import com.sulake.habbo.communication.messages.types.IMessageEvent;
import com.sulake.sessions.types.Session;

public class ApplyDanceMessageEvent implements IMessageEvent {

	@Override
	public void parse(Session client, Event event) {
		int dance = event.readInt();
		
		client.getHabbo().getAvatar().isDancing = true;
		
		Composer msg = new Composer(Composers.DanceMessageComposer);
		msg.appendInt32(client.getHabbo().Id);
		msg.appendInt32(dance);
		
		client.getHabbo().getAvatar().getCurrentFlat().send(msg);
	}

}
