package com.sulake.habbo.communication.messages.users;

import com.sulake.habbo.communication.messages.types.Event;
import com.sulake.habbo.communication.messages.types.IMessageEvent;
import com.sulake.sessions.types.Session;

public class ChangeLookMessageEvent implements IMessageEvent {

	@Override
	public void parse(Session client, Event event) {
		String gender = event.readString();
		String figure = event.readString();
		
		client.getHabbo().Gender = gender;
		client.getHabbo().Figure = figure;
		client.getHabbo().save();
		
		client.getHabbo().getAvatar().update();
		
	}

}
