package com.sulake.habbo.communication.messages.users;

import com.sulake.habbo.communication.messages.types.Event;
import com.sulake.habbo.communication.messages.types.IMessageEvent;
import com.sulake.sessions.types.Session;

public class ChangeMottoMessageEvent implements IMessageEvent {

	@Override
	public void parse(Session client, Event event) {
		String motto = event.readString();
		
		client.getHabbo().Motto = motto;
		client.getHabbo().save();
		
		client.getHabbo().getAvatar().update();
	}
}
