package com.sulake.habbo.flats.categories.types;

import com.sulake.habbo.communication.messages.types.Composer;

public class FlatCategory {
	public int Id;
	public String Name;
	public int MinRank;
	public Boolean CanTrade;
	
	public FlatCategory(int id, String name, int minRank, Boolean canTrade) {
		Id = id;
		Name = name;
		MinRank = minRank;
		CanTrade = canTrade;
	}
	
	public void serialize(Composer msg, int rank) {
		msg.appendInt32(this.Id);
		msg.appendString(this.Name);
		msg.appendBoolean(this.MinRank <= rank);
	}
}
