package com.sulake.habbo.flats.items.definitions.types;

public class ItemDefinition {
	public int Id;
	public int SpriteId;
	public String PublicName;
	public String ItemName;
	public String ItemType;
	public int Width;
	public int Length;
	public double StackHeight;
	public boolean CanStack;
	public boolean CanSit;
	public boolean CanWalk;
	public boolean CanTrade;
	public String InteractionType;
	public int VendingId;
	
	public ItemDefinition(int id, int spriteId, String itemType, String publicName, String itemName, int width, int length, double stackHeight, boolean canStack, boolean canSit, boolean canWalk, boolean canTrade, String interactionType, int vendingId) {
		Id = id;
		SpriteId = spriteId;
		ItemType = itemType;
		PublicName = publicName;
		ItemName = itemName;
		Width = width;
		Length = length;
		StackHeight = stackHeight;
		CanStack = canStack;
		CanSit = canSit;
		CanWalk = canWalk;
		CanTrade = canTrade;
		InteractionType = interactionType;
		VendingId = vendingId;
	}
}
