package com.sulake.habbo.flats.rights;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

import com.sulake.habbo.Habbo;
import com.sulake.habbo.flats.types.FlatInstance;

public class RightsManager {
	public List<Integer> usersWithRights;
	
	public RightsManager(FlatInstance flat) {
		this.usersWithRights = new ArrayList<Integer>();
		
		ResultSet result = Habbo.getCore().getDatabase().readTable("SELECT * FROM flat_rights WHERE flat_id = " + flat.getData().Id);
		
		try {
			while(result.next()) {
				this.getUsers().add(result.getInt("user_id"));
			}
		} catch (SQLException e) {
			e.printStackTrace();
		}
	}
	
	public boolean hasRights(int UserId) {
		return this.getUsers().contains(UserId);
	}
	
	public List<Integer> getUsers() {
		return this.usersWithRights;
	}
}
