package com.sulake.habbo.users.components;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.HashMap;
import java.util.Map;

import com.sulake.habbo.Habbo;
import com.sulake.habbo.users.components.types.Balance;

public class BalanceComponent {

	public Map<Integer, Balance> balances;
	
	public BalanceComponent(int id) {
		this.balances = new HashMap<Integer, Balance>();
		
		ResultSet result = Habbo.getCore().getDatabase().readTable("SELECT * FROM habbos_balances WHERE user_id = " + id);
		try {
			while(result.next()) {
				
				Balance b = new Balance(result.getInt("id"), result.getInt("currency_id"), result.getInt("balance"));
				this.getBalances().put(b.id, b);
			}
		} catch (SQLException e) {
			e.printStackTrace();
		}
	}
		
	public Balance getCurrency(String key) {
		if(this.getBalances().containsKey(key)) {
			return this.getBalances().get(key);
		} else {
			return null;
		}
	}
	
	public Map<Integer,Balance> getBalances() {
		return this.balances;
	}
	
}
