package com.sulake.habbo.users.components.types;

import com.sulake.habbo.communication.messages.types.Composer;

public class Badge {
	public int Id;
	public String Code;
	public int Slot;
	
	public Badge(int Id, String Code, int Slot) {
		this.Id = Id;
		this.Code = Code;
		this.Slot = Slot;
	}
	
	public boolean isEquiped() {
		if(this.Slot > 0) {
			return true;
		}
		return false;
	}
	
	public void serialize(Composer msg) {
		msg.appendInt32(Slot);
		msg.appendString(Code);
	}
}
