package com.sulake.habbo.users.ranks.types;

import java.util.List;

public class Rank {
	public int Id;
	public String Name;
	public List<String> permissions;
	
	public Rank(int id, String name, List<String> permissions) {
		this.Id = id;
		this.Name = name;
		this.permissions = permissions;
	}

	public boolean hasPermission(String key) {
		return this.getPermissions().contains(key);
	}
	
	public List<String> getPermissions() {
		return this.permissions;
	}
}
